Package com.usatiuk.objects.transaction

# Interface Transaction

All Superinterfaces:
  `TransactionHandle`

All Known Implementing Classes:
  `CurrentTransaction`

public interface Transaction extends TransactionHandle

## Method Summary

Modifier and Type
Method
Description
`void`
`delete(JObjectKey key)`
`<T extends JData>
Optional<T>`
`get(Class<T> type, JObjectKey key)`
`CloseableKvIterator<JObjectKey,JData>`
`getIterator(IteratorStart start, JObjectKey key)`
`default CloseableKvIterator<JObjectKey,JData>`
`getIterator(JObjectKey key)`
`void`
`onCommit(Runnable runnable)`
`<T extends JData>
void`
`put(JData obj)`
`<T extends JData>
void`
`putNew(JData obj)`

### Methods inherited from interface com.usatiuk.objects.transaction.TransactionHandle

`onFlush`

## Method Details

### onCommit

void onCommit(Runnable runnable)

### get

<T extends JData> Optional<T> get(Class<T> type, JObjectKey key)

### put

<T extends JData> void put(JData obj)

### putNew

<T extends JData> void putNew(JData obj)

### delete

void delete(JObjectKey key)

### getIterator

CloseableKvIterator<JObjectKey,JData> getIterator(IteratorStart start, JObjectKey key)

### getIterator

default CloseableKvIterator<JObjectKey,JData> getIterator(JObjectKey key)